------------------------------------------------------------------------------------
--Name:  	210426[简体征服][任务脚本]210423[简体征服][任务脚本]Soaring Archers剧情任务
--Creator:	杨艳
--Created:	2021-04-26
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>8
-- CppScriptMgr:SetViewScale(200)
CppScriptMgr:SetViewScale(220)
CppScriptMgr:SetViewPosByCell(181, 177)

local player1  = CppScriptMgr:AddSimplePlayer(1063675, 171,180, "YoungCastellan")
local player2  = CppScriptMgr:AddSimplePlayer(24016, 172,177, "MoChu")

player1:SetRWeapon(500169,0,1)
player2:SetRWeapon(500169,0,1)
player1:SetZoomPercent(120)
player2:SetZoomPercent(150)
player1:SetDir(5)

local player10  = CppScriptMgr:AddSimplePlayer(1063686, 183,187, "MoismDisciple")
local player11  = CppScriptMgr:AddSimplePlayer(1063686, 179,188, "MoismDisciple")
local player12  = CppScriptMgr:AddSimplePlayer(1063686, 174,186, "MoismDisciple")
local player13  = CppScriptMgr:AddSimplePlayer(1063686, 186,185, "MoismDisciple")
-- local player14  = CppScriptMgr:AddSimplePlayer(1063686, 170,176, "MoismDisciple")
-- local player15  = CppScriptMgr:AddSimplePlayer(1063686, 172,173, "MoismDisciple")
local player16  = CppScriptMgr:AddSimplePlayer(1063686, 175,171, "MoismDisciple")
local player17  = CppScriptMgr:AddSimplePlayer(1063686, 179,171, "MoismDisciple")
local player18  = CppScriptMgr:AddSimplePlayer(1063686, 182,171, "MoismDisciple")
local player19  = CppScriptMgr:AddSimplePlayer(1063686, 185,172, "MoismDisciple")

player10:SetDir(3)
player11:SetDir(3)
player12:SetDir(4)
player13:SetDir(3)
-- player14:SetDir(6)
-- player15:SetDir(6)
player16:SetDir(0)
player17:SetDir(0)
player18:SetDir(1)
player19:SetDir(1)

CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:AddEffect("zf2-e281", 196, 177)

local hero = CppScriptMgr:QueryHero()
hero:SetPos(196,177)
hero:SetDir(2)

CppScriptMgr:WaitMilSec(1000)
hero:RunTo(179, 177);
CppScriptMgr:WaitMilSec(500)

player10:Say("I am the only black in the white world.", 1500)
player11:Say("I am the only black in the white world.", 1500)
player12:Say("I am the only black in the white world.", 1500)
player13:Say("I am the only black in the white world.", 1500)
-- player14:Say("I am the only black in the white world.", 1500)
-- player15:Say("I am the only black in the white world.", 1500)
player16:Say("I am the only black in the white world.", 1500)
player17:Say("I am the only black in the white world.", 1500)
player18:Say("I am the only black in the white world.", 1500)
player19:Say("I am the only black in the white world.", 1500)

CppScriptMgr:WaitMilSec(1000)

player10:Say("Peace and love!", 1500)
player11:Say("Peace and love!", 1500)
player12:Say("Peace and love!", 1500)
player13:Say("Peace and love!", 1500)
-- player14:Say("Peace and love!", 1500)
-- player15:Say("Peace and love!", 1500)
player16:Say("Peace and love!", 1500)
player17:Say("Peace and love!", 1500)
player18:Say("Peace and love!", 1500)
player19:Say("Peace and love!", 1500)

CppScriptMgr:WaitMilSec(1800)

hero:SetAction(220)
player10:Say("I am the only black in the white world.", 1500)
player11:Say("I am the only black in the white world.", 1500)
player12:Say("I am the only black in the white world.", 1500)
player13:Say("I am the only black in the white world.", 1500)
-- player14:Say("I am the only black in the white world.", 1500)
-- player15:Say("I am the only black in the white world.", 1500)
player16:Say("I am the only black in the white world.", 1500)
player17:Say("I am the only black in the white world.", 1500)
player18:Say("I am the only black in the white world.", 1500)
player19:Say("I am the only black in the white world.", 1500)

CppScriptMgr:WaitMilSec(1000)

player10:Say("Peace and love!", 1500)
player11:Say("Peace and love!", 1500)
player12:Say("Peace and love!", 1500)
player13:Say("Peace and love!", 1500)
-- player14:Say("Peace and love!", 1500)
-- player15:Say("Peace and love!", 1500)
player16:Say("Peace and love!", 1500)
player17:Say("Peace and love!", 1500)
player18:Say("Peace and love!", 1500)
player19:Say("Peace and love!", 1500)

CppScriptMgr:WaitMilSec(2000)

hero:Say("Castellan.", 2000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:AddEffect("eddy", 167, 177)
player2:Say("Thank you for coming all the way!", 2000)

CppScriptMgr:WaitMilSec(2000)

------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetLook(hero:GetLook(), false, true) 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)
